org.apache.felix.metatype

## Class Attribute

- java.lang.Object
- - org.apache.felix.metatype.OptionalAttributes
  - - org.apache.felix.metatype.Attribute

    public class Attribute
    extends OptionalAttributes

The `Attribute` TODO

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`Attribute()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addContent(String[] added)`
`void` `addContent(String content, boolean split)`
`String` `getAdRef()`
`String[]` `getContent()`
`void` `setAdRef(String adRef)`

### Methods inherited from class org.apache.felix.metatype.OptionalAttributes

`addOptionalAttribute, getOptionalAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Attribute

    public Attribute()

### Method Detail

#### getAdRef

    public String getAdRef()

#### setAdRef

    public void setAdRef(String adRef)

#### getContent

    public String[] getContent()

#### addContent

    public void addContent(String[] added)

#### addContent

    public void addContent(String content,
                           boolean split)